﻿using System.Diagnostics;
using System.Windows;
using System.Windows.Input;
using Infragistics.Controls.Charts;
using Infragistics.Controls.Charts.Primitives;

namespace DiagramEvents
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
        private void PreviewMouseDownHandler(object sender, MouseButtonEventArgs e)
        {
            if (e.ButtonState == MouseButtonState.Pressed)
            {
                var toolboxCategoryItem = e.Source as DiagramToolboxCategoryItem;
                if (toolboxCategoryItem != null)
                    Debug.WriteLine("Dragged Item " + (toolboxCategoryItem.Header as DiagramToolboxItem).Item.Tag);
            }
        }

        private void MouseMoveHandler(object sender, MouseEventArgs e)
        {
            //if (e.LeftButton == MouseButtonState.Pressed)
            //    Debug.WriteLine("MouseMove {0}", e.GetPosition(this.Diagram));
        }
    }
}
